/*
 * Created on 22-Jul-2006
 *
 * @author: Dane Alexander
 * These functions used to get the correct Zone reference from the I-X Action
 */
package ix.robot;

public final class InterpretIXZone {

	public static String identifyOCR(String test)
	{
		String s = "noZone";
		
		if(test.equals("a"))
		{
			s = "ZoneA";
		}
		else if(test.equals("b"))
		{
			s = "ZoneB";
		}
		else if(test.equals("c"))
		{
			s = "ZoneC";
		}
		else if(test.equals("d")) 
		{
			s = "ZoneD";
		}
		else if(test.equals("e"))
		{	
			s = "ZoneE";
		}
		else if(test.equals("(PIC)"))
		{
			s = "noZone";
		}
		
		return s;
	}
	
	public static int identifyColour(String test)
	{
		int s = 0;
		
		if(test.equals("ZoneA"))
		{
			s = 1;
		}
		else if(test.equals("ZoneB"))
		{
			s = 2;
		}
		else if(test.equals("ZoneC"))
		{
			s = 3;
		}
		else if(test.equals("ZoneD")) 
		{
			s = 4;
		}
		else if(test.equals("ZoneE"))
		{	
			s = 5;
		}
		
		return s;
	}
	
	
}
